The version of The Sims™ 3 installed is not updatable and is not compatible with The Sims™ 3 Pets.

View previous topic View next topic Go down

The version of The Sims™ 3 installed is not updatable and is not compatible with The Sims™ 3 Pets.

Post by ohemgeeabby2 on Thu 13 Sep 2012, 18:14

I keep getting the above error when trying to install the Sims 3 pets. It happened with Katy Perry'a Sweet Treats too but I just deleted that one because I don't really care about it. But Pets I want, and I'd like to be able to play it. I've been able to install Late Night, Generations, and Ambitions. What gives?

Oh I'm following the Mac guide: /The_Sims_3_MAC_Guide.pdf; and the Easy to Install guide: /t2755-easy-method-of-installing-sims-3-base-gameexpansions-mac-guide


//EDIT

Now I've gotten the error on Showtime, Supernatural, and World Adventures as well. It'd be great if you all could help :]

//EDIT

Okay so World Adventures was actually a regional code problem which I
fixed. I just have no idea how to go about solving the non-updatable
error if its only on SOME of the expansions.

Admin edit: Do not double-post, please, but "Edit" your message instead. Thank you!

- ADMIN

ohemgeeabby2
Beginner
Beginner

Posts : 2
Points : 1920
Reputation : 0
Join date : 2012-09-13

View user profile

Back to top Go down

Re: The version of The Sims™ 3 installed is not updatable and is not compatible with The Sims™ 3 Pets.

Post by Adwomin on Thu 13 Sep 2012, 19:02

Hello,

I've recently fixed this error for someone via TeamViewer. The problem seemed to be the base game.
Where exactly did you get your base game from?

_________________
Bonsoir, friend.


~ Nobody's gril. ~
avatar
Adwomin
free society
free society

Windows version :
  • Windows 8
  • Windows 7

System architecture :
  • 32 bits (x86)
  • 64 bits (x64)

Favourite games : GTA Series, Cities: Skylines, Prison Architect, Borderlands series
Female Posts : 19210
Points : 1026481
Reputation : 2259
Join date : 2010-03-12
Age : 16
Location : Del Perro Heights

View user profile https://www.games4theworld.org

Back to top Go down

Re: The version of The Sims™ 3 installed is not updatable and is not compatible with The Sims™ 3 Pets.

Post by ohemgeeabby2 on Thu 13 Sep 2012, 19:11


IN the Mac easy method of installing guide they cite a torrent

ohemgeeabby2
Beginner
Beginner

Posts : 2
Points : 1920
Reputation : 0
Join date : 2012-09-13

View user profile

Back to top Go down

Re: The version of The Sims™ 3 installed is not updatable and is not compatible with The Sims™ 3 Pets.

Post by Dieneryn on Thu 13 Sep 2012, 20:13

Hey! I had the same problem while following the same guide.
Did you download your base game from this link?
Censored

If you did, you could try this (how I solved my problem with Admin's help):
- After dragging the .app into your folder, open the sims 3 launcher.
- Ignore the pop-up prompts to update.
- In the launcher, click on Game Updates and update from there instead.
- After that, install the expansion packs you want without applying any cracks.
- After installing, make sure you have the latest Ultimate Fix downloaded. Unzip the file.
- Go to the "# Crack" folder and copy both files into you Game>Bin folder.

Try it now and it should work! It is probably better if you start a clean install.

I hope it helps!
avatar
Dieneryn
Posting Master
Posting Master

Favourite games : The Sims Series, Harvest Moon Series, Legend of Zelda, Patapon, Ultimate Marvel vs Capcom, Pheonix Wright Series, Mario, and several other MMORPGs
Female Posts : 592
Points : 2653
Reputation : 86
Join date : 2012-09-09
Age : 27
Location : Woodland Realm, Mirkwood

View user profile

Back to top Go down

Re: The version of The Sims™ 3 installed is not updatable and is not compatible with The Sims™ 3 Pets.

Post by Sponsored content


Sponsored content


Back to top Go down

View previous topic View next topic Back to top


Permissions in this forum:
You cannot reply to topics in this forum